{
  # Import all your configuration modules here
  imports = [
    ./sets.nix
    ./keymaps.nix

    ./bufferlines/bufferline.nix

    # ./colorschemes/base16.nix
    # ./colorschemes/catppuccin.nix
    # ./colorschemes/rose-pine.nix
    ./colorschemes/gruvbox.nix

    ./completion/cmp.nix

    ./dap/dap.nix

    ./filetrees/neo-tree.nix
    ./git/gitsigns.nix
    ./git/diffview.nix
    ./git/lazygit.nix
    # ./git/neogit.nix

    ./languages/nvim-jdtls.nix
    ./languages/nvim-lint.nix
    ./languages/typescript-tools-nvim.nix
    ./languages/treesitter/treesitter.nix
    ./languages/treesitter/mdx.nix
    ./languages/treesitter/treesitter-context.nix
    ./languages/treesitter/treesitter-textobjects.nix
    ./languages/treesitter/ts-autotag.nix
    ./languages/treesitter/ts-context-commentstring.nix
    ./languages/latex

    ./lsp/conform.nix
    ./lsp/fidget.nix
    ./lsp/lsp.nix
    ./lsp/lspsaga.nix
    ./lsp/trouble.nix

    ./none-ls/none-ls.nix

    ./snippets/luasnip.nix

    ./statusline/lualine.nix

    ./telescope/telescope.nix

    ./ui/alpha.nix
    # ./ui/dressing-nvim.nix
    ./ui/indent-blankline.nix
    ./ui/noice.nix
    ./ui/nvim-notify.nix
    ./ui/nui.nix
    ./ui/statuscol.nix

    # ./utils/better-escape.nix
    ./utils/flash.nix # better search labels
    ./utils/flutter-tools.nix
    ./utils/hardtime.nix # hints to get better at vim
    # ./utils/harpoon.nix # better navigation between files & terminals
    ./utils/illuminate.nix # highlight other uses of current word
    ./utils/markdown-preview.nix
    ./utils/mini.nix # lots of utilities
    ./utils/neoconf.nix
    # ./utils/neodev.nix # lua development
    ./utils/neotest.nix # test runner
    ./utils/nvim-colorizer.nix
    ./utils/nvim-surround.nix # surrounds
    # ./utils/oil.nix # file explorer as buffer
    ./utils/persistence.nix # session management / restore
    ./utils/plenary.nix # utility library for other plugins
    # ./utils/project-nvim.nix # project management
    # ./utils/sidebar.nix # sidebar
    # ./utils/tmux-navigator.nix
    ./utils/todo-comments.nix
    ./utils/toggleterm.nix
    # ./utils/ultimate-autopair.nix # auto pairs (ew)
    ./utils/undotree.nix # browse undo history
    ./utils/vim-be-good.nix # game to get better at vim
    ./utils/whichkey.nix # help with keybindings
    ./utils/wilder.nix # better wildmenu suggestions
  ];
}
